<?

// Squeezeserver Funktionssammlung

define('SqueezeServer', 55356 /*[Client Socket SqueezeServer]*/);

// MAC-Adressen der entsprechenden Squeezeboxen auf Variablen definieren
define('Schlafzimmer', 		'00:04:20:26:d4:1b');
define('Wohnzimmer',       '00:04:20:12:4e:46');
define('Badezimmer', 		'00:04:20:26:d4:1b');
define('Kueche',           '00:26:18:87:96:52');
define('Werner',           '00:11:67:d4:4f:2a');


//------------------------------------------------------------------------------
$allPlayers = array(
  Schlafzimmer, Wohnzimmer, Badezimmer, Kueche, Werner);


//------------------------------------------------------------------------------
function SqueezeInit($box)
{
  $cmd = "listen 1";
  return CSCK_SendText(SqueezeServer, $box." ".$cmd.chr(13));
}

//------------------------------------------------------------------------------
function SqueezeShow($box , $text1 , $text2 , $time, $center=false, $huge=false)
{
  $cmd = "show line1:" .rawurlencode($text1)." line2:".rawurlencode($text2)." duration:".$time;
  if ($center) $cmd .= " centered:1";
  if ($huge) $cmd .= " font:huge";
  if ($box == "")
    foreach ($GLOBALS["allPlayers"] AS $box)
      CSCK_SendText(SqueezeServer, $box." ".$cmd.chr(13));
  else
    CSCK_SendText(SqueezeServer, $box." ".$cmd.chr(13));
}

//------------------------------------------------------------------------------
function SqueezePower($box , $on)
{
  $cmd = "power ";
  $cmd .= $on ? "1":"0";
  if ($box == "")
    foreach ($GLOBALS["allPlayers"] AS $box)
      CSCK_SendText(SqueezeServer, $box." ".$cmd.chr(13));
  else
    CSCK_SendText(SqueezeServer, $box." ".$cmd.chr(13));
}

//------------------------------------------------------------------------------
function SqueezeVolume($box , $vol, $set=true)
{
  $cmd = "mixer volume ";
  if ($set) $cmd .= $vol;
  else $cmd .= ($vol>=0) ? "+".$vol:"-".abs($vol);
  if ($box == "")
    foreach ($GLOBALS["allPlayers"] AS $box)
      CSCK_SendText(SqueezeServer, $box." ".$cmd.chr(13));
  else
    CSCK_SendText(SqueezeServer, $box." ".$cmd.chr(13));
}

//------------------------------------------------------------------------------
function SqueezeButton($box , $bt)
{
  $cmd = "button ".$bt;
  return CSCK_SendText(SqueezeServer, $box." ".$cmd.chr(13));
}

//------------------------------------------------------------------------------
function SqueezePlayFav($box , $favNr, $favDir='c55b6425') //c55b6425
{
  $cmd = "favorites playlist play item_id:".$favDir.".".((int)$favNr-1);
  return CSCK_SendText(SqueezeServer, $box." ".$cmd.chr(13));
}

//------------------------------------------------------------------------------
function SqueezePlayAllRandom($box)
{
  $cmd = "randomplay tracks";
  return CSCK_SendText(SqueezeServer, $box." ".$cmd.chr(13));
}

//------------------------------------------------------------------------------
function cover($player_id, $var_id)
{
	$time=time();
	$str = "<table width='100%' cellspacing='0'><tr><td align=center>";
	$str = $str. "<img src='http://ip-adresse:9000/music/current/cover_150x150_$time.jpg?player=$player_id'></img>";
	$str = $str. "</td></tr></table>";
	SetValue($var_id, $str);
}

// Slider fr HTML-Box
function slider($var_id, $percent, $akt, $dur)
{
	$str = "<div style='background-image:url(/user/icons/fixed/slider.png); background-repeat:repeat-x; border-width:5px 5px; solid #3B3B4D; height:15px; width:$percent%'><center>$akt</center></div>";
	SetValue($var_id, $str);
}

// Slider fr %-Ausgabe
function slider2($var_id, $percent)
{
	SetValue($var_id, $percent);
}


?>